# IoTize Device Client

This library is still in `alpha` stage. Breaking changes may occurs in future releases.

See [CHANGELOG](https://cdn.jsdelivr.net/npm/@iotize/device-client.js@latest/CHANGELOG.md).

## Installation

### Browser 

Download [latest version](https://cdn.jsdelivr.net/npm/@iotize/device-client.js@latest/dist/iotize-device-client.min.js) or use this link to load from [jsdeliver](jsdeliver.com).

```html
<script src="https://cdn.jsdelivr.net/npm/@iotize/device-client.js@latest/dist/iotize-device-client.min.js"/>
```

### npm

```bash
npm install @iotize/device-client.js
```

## Usage

```javascript
// Library name: IoTizeDeviceClient
let iotizeDevice = IoTizeDeviceClient.Device.IoTizeDevice.create();

// ...
```

### Typings

Typings are provided with the library. 

```typescript
import { IoTizeDevice } from "@iotize/device-client.js/device";

// ...
```

For more informations, read the [documentation](http://developer.iotize.com).